Summary:	Nepomuk core utilities and libraries
Name:		nepomuk-core
Version:	4.14.3
Release:	4
Epoch:		1
License:	GPLv2 GPLv3 LGPLv2 LGPLv3
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
%define is_beta %(if test `echo %{version} |cut -d. -f3` -ge 70; then echo -n 1; else echo -n 0; fi)
%if %{is_beta}
%define ftpdir unstable
%else
%define ftpdir stable
%endif
Source0:	ftp://ftp.kde.org/pub/kde/%ftpdir/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	kde4-macros
BuildRequires:	baloo-devel
BuildRequires:	ebook-tools-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	kfilemetadata-devel
BuildRequires:	qmobipocket-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavdevice)
BuildRequires:	pkgconfig(libavfilter)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libpostproc)
BuildRequires:	pkgconfig(libstreams) >= 0.7.3
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-qt4)
BuildRequires:	pkgconfig(shared-desktop-ontologies) >= 0.11
BuildRequires:	pkgconfig(soprano) >= 2.7.57
BuildRequires:	pkgconfig(taglib)
Requires:	shared-desktop-ontologies >= 0.11
Requires:	soprano >= 4:2.7.57
Conflicts:	kdebase4-runtime < 1:4.8.80

%description
Nepomuk core utilities and libraries.

%files
%doc COPYING*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/org.kde.nepomuk.filewatch.service
%{_datadir}/polkit-1/actions/org.kde.nepomuk.filewatch.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.nepomuk.filewatch.conf
%{_kde_applicationsdir}/*.desktop
%{_kde_appsdir}/fileindexerservice
%{_kde_appsdir}/nepomukfilewatch
%{_kde_appsdir}/nepomukstorage
%{_kde_bindir}/nepomuk*
%{_kde_datadir}/autostart/*.desktop
%{_kde_datadir}/ontology/kde/*
%{_kde_libdir}/kde4/nepomukepubextractor.so
%{_kde_libdir}/kde4/nepomukexiv2extractor.so
%{_kde_libdir}/kde4/nepomukffmpegextractor.so
%{_kde_libdir}/kde4/nepomukmobiextractor.so
%{_kde_libdir}/kde4/nepomukodfextractor.so
%{_kde_libdir}/kde4/nepomukoffice2007extractor.so
%{_kde_libdir}/kde4/nepomukofficeextractor.so
%{_kde_libdir}/kde4/nepomukplaintextextractor.so
%{_kde_libdir}/kde4/nepomukpopplerextractor.so
%{_kde_libdir}/kde4/nepomuktaglibextractor.so
%{_kde_libdir}/kde4/libexec/kde_nepomuk_filewatch_raiselimit
%{_kde_libdir}/libkdeinit4_nepomukserver.so
%{_kde_libdir}/libnepomukcommon.so
%{_kde_libdir}/libnepomukextractor.so
%{_kde_services}/*.desktop
%{_kde_servicetypes}/*.desktop

#----------------------------------------------------------------------------------

%define nepomukcore_major 4
%define libnepomukcore %mklibname nepomukcore %{nepomukcore_major}
%if %{nepomukcore_major} != 4
Please remove all references to libnepomuksync below -- we are not compatible
with it in any way, so we should not claim we are its successor.
%endif
%define libnepomuksync %mklibname nepomuksync %{nepomukcore_major}

%package -n %{libnepomukcore}
Summary:	Nepomuk core library
Group:		System/Libraries
%rename %{libnepomuksync}

%description -n %{libnepomukcore}
Nepomuk core library.

%files -n %{libnepomukcore}
%{_kde_libdir}/libnepomukcore.so.%{nepomukcore_major}*

#----------------------------------------------------------------------------------

%define nepomukcleaner_major 4
%define libnepomukcleaner %mklibname nepomukcleaner %{nepomukcleaner_major}

%package -n %{libnepomukcleaner}
Summary:	Nepomuk cleaner library
Group:		System/Libraries

%description -n %{libnepomukcleaner}
Nepomuk cleaner library.

%files -n %{libnepomukcleaner}
%{_kde_libdir}/libnepomukcleaner.so.%{nepomukcleaner_major}*

#----------------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{name}
Requires:	%{libnepomukcore} = %{EVRD}
Requires:	%{libnepomukcleaner} = %{EVRD}
Conflicts:	kdebase4-runtime-devel < 1:4.8.80

%description devel
This package includes the header files needed to develop applications
that use Nepomuk.

%files devel
%{_kde_includedir}/nepomuk2
%{_kde_includedir}/Nepomuk2
%{_kde_libdir}/libnepomukcore.so
%{_kde_libdir}/libnepomukcleaner.so
%{_libdir}/cmake/NepomukCore

#----------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4

%install
%makeinstall_std -C build


%changelog

* Wed Apr 22 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:4.14.3-4
- (82643b8) Rebuild with new poppler

* Thu Feb 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.14.3-3
- (78e9cd9) Bump release

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1:4.14.3-2
- (53925ec) MassBuild#656: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.14.3-1
- (1071844) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Mon Sep 15 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.3-3
- (94e7e52) Devel package should require nepomuk-core

* Wed Sep 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.3-2
- (48d4668) Shared library shouldn't require obsolete nepomuk-core now

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.3-1
- (a33924b) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.2-5
- (815373e) Bump release

* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.2-4
- (00f0a3b) Bump release

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:4.13.2-3
- (4d742b9) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.13.2-2
- (2a90bda) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.12.4-1
- (5241c53) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.12.3-1
- (cf2d8ca) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.11.4-1
- (0898559) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.11.3-1
- (2dbaf5b) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.11.2-1
- (8baab4e) LOG New version 4.11.2

* Wed Aug 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.5-3
- (fbca9cb) LOG Rebuild with new ffmpeg

* Fri Aug 02 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.5-2
- (e59d962) LOG Rebuild with new ffmpeg

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.5-1
- (04d4eea) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.4-1
- (28b4d6c) LOG New version 4.10.4

* Mon May 20 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.10.3-1
- (9bcfdb3) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.5-1
- (b529b92) LOG New version 4.9.5

* Wed Dec 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.4-1
- (20ba49d) LOG New version 4.9.4

* Mon Dec 03 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.4-0.1
- (115b474) LOG Update to 4.9.4 (git snapshot)

* Wed Nov 07 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.3-1
- (175cfd7) LOG New version 4.9.3

* Thu Oct 04 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.2-1
- (8367a81) New version 4.9.2

* Mon Sep 10 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.1-1
- (333d38e) New version 4.9.1

* Sat Aug 04 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.9.0-1
- (12e2722) New version 4.9.0

* Fri Jul 13 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.8.97-1
- (b9d9cb1) New version 4.8.97

* Thu Jun 28 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:4.8.95-1
- (26067a4) Update to 4.8.95


